const nn = require("@jeff-tian/perceptron/lib/NeuralNetwork")

const flat = (prev, next)=>[...prev, ...next]
const getFlattedWeights = weights => weights.reduce(flat).reduce(flat)
const getNthWeights = index => '(' + getFlattedWeights(network.weightsHistory[index].weights).join(', ') + ')'

const network = nn.backPropFor2LevelSigmoidUnitForwardNetwork([
    {
      x: [1, 0],
      t: 1,
    },
    {
      x: [0, 1],
      t: 0,
    },
  ], 0.3, 0.9)
console.log("初始权值 = " + getNthWeights(0))
console.log("第一次迭代后的权值 = " + getNthWeights(1))
console.log("第二次迭代后的权值 = " + getNthWeights(2));

